Subject: Re: bug#49261: 28.0.50; File Locking Breaks Presumptuous Toolchains

From: Michael Albinus <[email-masked]>
Date: Wed, 07 Jul 2021 19:36:24 +0200

Lars Ingebrigtsen <[email-masked]> writes:

>>>  	(if handler
>>>  	    (funcall handler 'make-auto-save-file-name)
>>
>> We have a file name handler for make-auto-save-file-name. Shall we use
>> also a handler for make-lock-file-name?
>
> Yeah, I wondered about that, too.  I'm not quite sure what the use case
> would be, but for symmetry's sake, it might make sense anyway.

OK, I'll care.

One use case could be a file lock for a file archive (something like
foo.tar), when you change a file inside the archive.

>> Hmm, maybe not, because the lock file name must be the *same* over
>> different Emacs sessions.
>
> That would be up to the person that writes the handler to take care of,
> I think?

:-)

Best regards, Michael.